Update a record in the address book. To include custom fields and their values, add the custom_fields object and use the custom field's uuid (found here) and the value you want to set within the object.
PUT
/api/customer/{uuid}.json
curl \
--request PUT 'https://application.textline.com/api/customer/84a2c56f-6b79-4764-811d-90880e2757b4.json' \
--header "Content-Type: application/json" \
--data '{
"customer": {
"email": "chuck@mycompany.com",
"name": "Chuck Finley",
"notes": "some samples notes for the contact",
"tags": "foo_bar",
"tags_handling": "replace",
"archived": false,
"blocked": false,
"unreachable": false,
"custom_fields": {
"c43a1766-47e1-4c9c-a2cc-36bf424fcbc0": "custom field 1 value",
"342fbe5b-da20-4f82-b899-53f4a5b0a8df": "custom field 2 value"
}
}
}'
Request example
{
"customer": {
"email": "chuck@mycompany.com",
"name": "Chuck Finley",
"notes": "some samples notes for the contact",
"tags": "foo_bar",
"tags_handling": "replace",
"archived": false,
"blocked": false,
"unreachable": false,
"custom_fields": {
"c43a1766-47e1-4c9c-a2cc-36bf424fcbc0": "custom field 1 value",
"342fbe5b-da20-4f82-b899-53f4a5b0a8df": "custom field 2 value"
}
}
}
Response examples (200)
{
"customer": {
"avatar_url": "https://example.com/image.png",
"blocked": false,
"archived": false,
"name": "Chuck Finley",
"notes": "``",
"phone_number": "(222) 222-2222",
"reachable_by_sms": true,
"tags": [
"foo",
"bar"
],
"uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
"facebook_id": "null",
"custom_fields": {
"c43a1766-47e1-4c9c-a2cc-36bf424fcbc0": "Custom_Field_1_value",
"116bad5a-6233-472d-bcf0-199d53342a82": "null"
},
"consent_status": true,
"verified": true
}
}